Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.rfid.api.workflow.types
Class WorkflowModuleState

    java.lang.Object
      java.lang.Enum
          com.bea.rfid.api.workflow.types.WorkflowModuleState

All Implemented Interfaces:
  Serializable, Comparable

    public final class WorkflowModuleState

extends Enum

Enum class representing the different states of an edge flow module.

A module may be in one of the following states:

- `WORKING`: A module that is actively processing inputs that it receives is in this state.
- `IDLE`: A module that is not processing its inputs is in this state.

  See Also:
    Serialized Form

  Field Summary
  `static WorkflowModuleState` | `IDLE` A module that is not processing its inputs is in this state.
  `static WorkflowModuleState` | `WORKING` A module that is actively processing inputs that it receives is in this state.

  Method Summary
  `static WorkflowModuleState` | `valueOf(String name)`
  `static WorkflowModuleState[]` | `values()`

  Methods inherited from class java.lang.Enum
  `clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  Methods inherited from class java.lang.Object
  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  Field Detail

  ### WORKING

      public static final WorkflowModuleState WORKING

    A module that is actively processing inputs that it receives is in this state.

  ### IDLE

      public static final WorkflowModuleState IDLE

    A module that is not processing its inputs is in this state.

  Method Detail

  ### values

      public static final WorkflowModuleState[] values()

  ### valueOf

      public static WorkflowModuleState valueOf(String name)

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  | Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD